<?php
include("include/data.php");
Init_boutique();
global $link, $base, $MySQL_Host, $MySQL_User, $MySQL_Passw, $db, 
$CodeArt, $myart, $NomArticle, $PrixArt, $PrixArtPd, $NumArt, 
$CodeArts, $A_NumArt,$i, $result, $NbLigne, $mygroupeart, 
$mysousgroupeart, $semaine, $limitesuivante, $limiteprecedente, 
$limite, $total, $page ;
// entete de la page

require('fpdf.php');

$date = date("d-m-Y");


if (!isset($_GET['num_entre']))
{
    $num_lot=0;
    $num_lot_sel=0;
} else {
    $num_bl_ligne=($_GET['num_entre']);
    $num_bl_ligne=($_GET['num_entre']);
}

    $sql = "SELECT * FROM gestion_bl_haut WHERE num_li_bl='$num_bl_ligne'"; 
		$req = mysqli_query($link, $sql);
		while ($row = mysqli_fetch_assoc($req)) {
        $num_bl_base = $row["num_bl"];
        $date_bl = $row["date_bl"];
        $date_livraison_bl = $row["date_livraison"];
        $num_client_entre = $row["num_client_bl"];
        $CodeTrsp = $row["num_trsp"];
        $CodePaie = $row["num_paie"]; 
    }  
		
		$sql2 = "SELECT `Code_Trsp` FROM categorie_trsp WHERE `Num_Ligne_Cate_Trsp`=$CodeTrsp";  
		$req2 = mysqli_query($link, $sql2);  
		while ($row = mysqli_fetch_assoc($req2)) {$Code_Trsp_texte = $row["Code_Trsp"];} 
		
		$sql3 = "SELECT  `Code_Paiement` FROM categorie_paiement WHERE `Num_Ligne_Cate_Paiement`=$CodePaie";  
		$req3 = mysqli_query($link, $sql3);  
		while ($row = mysqli_fetch_assoc($req3)) {$Code_Paiement_texte = $row["Code_Paiement"];} 


$sql1 = "SELECT * FROM clients_base WHERE Num_Client='$num_client_entre'"; 
$req1 = mysqli_query($link, $sql1);
while ($row = mysqli_fetch_assoc($req1)) {
        $nom_Client = $row["Nom_Client"];
        $Adresse_1 = $row["Adresse_1"];
        $Adresse_2 = $row["Adresse_2"];
        $Adresse_3 = $row["Adresse_3"];
        $Code_Postal = $row["Code_Postal"];
        $Ville = $row["Ville"];
        $CodeTarifs = $row["Code_tarif"];
      } 

$date_bl_e=date("d/m/Y", strtotime($date_bl));
$date_livraison_bl_e = date("d/m/Y", strtotime($date_livraison_bl));
$Anne_bl=date("y", strtotime($date_bl));

$num_bl_complet ="$Anne_bl-$num_bl-".$num_bl_base ;

$date_livraison_bl_e = date("d/m/Y", strtotime($date_livraison_bl));


class PDF extends FPDF
{
// En-tête
function Header()
{
    // Logo
    $this->Image('images/logo_10001.jpg',10,6,30);
    // Police Arial gras 15
    $this->SetFont('Arial','B',15);
    // Décalage à droite
    $this->Cell(80);
    // Titre
    $this->Cell(30,10,$num_entre,1,0,'C');
    // Saut de ligne
    $this->Ln(20);
}

// Pied de page
function Footer()
{
    // Positionnement à 1,5 cm du bas
    $this->SetY(-15);
    // Police Arial italique 8
    $this->SetFont('Arial','I',8);
    // Numéro de page
    $this->Cell(0,10,'Page '.$this->PageNo().'/{nb}',0,0,'C');
}
}

// Instanciation de la classe dérivée
$pdf = new PDF('P','mm','A4');
$pdf->AliasNbPages();
$pdf->AddPage();
$pdf->SetFont('Times','',12);
for($i=1;$i<=40;$i++)
    $pdf->Cell(0,10,'Impression de la ligne numéro '.$i,0,1);
$pdf->Output();
?>